Bug 812648 - 8139too: WARNING: at net/sched/sch_generic.c:256 dev_watchdog+0x257/0x260()
8139too: WARNING: at net/sched/sch_generic.c:256 dev_watchdog+0x257/0x260()
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:bec828b5186c7537c1556f494ab...
: Reopened
: 814913 885674 (view as bug list)
Depends On:
Blocks: sch_generic
  Show dependency treegraph
 
Reported: 2012-04-15 13:48 EDT by Juan Antonio Clavero
Modified: 2013-02-13 20:28 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 20:28:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Juan Antonio Clavero 2012-04-15 13:48:47 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/vmlinuz-3.3.1-3.fc16.x86_64 root=UUID=97b1d241-dee1-4db7-bebb-dfe99e557b8f ro rd.lvm=0 rd.dm=0 KEYTABLE=es quiet rd.md.uuid=20c8666c:55e77457:1811c7a0:2118cc90 rhgb rd.luks=0 LANG=es_ES.UTF-8 SYSFONT=latarcyrheb-sun16 rd.md.uuid=7581e24d:f0024c15:82f13642:a2bcfc6c
kernel:         3.3.1-3.fc16.x86_64
reason:         [109805.712034] WARNING: at net/sched/sch_generic.c:256 dev_watchdog+0x257/0x260()
time:           mar 10 abr 2012 00:29:07 CEST

backtrace:
:[109805.712034] WARNING: at net/sched/sch_generic.c:256 dev_watchdog+0x257/0x260()
:[109805.712039] Hardware name: OEM
:[109805.712042] NETDEV WATCHDOG: eth0 (8139too): transmit queue 0 timed out
:[109805.712046] Modules linked in: usb_storage tcp_lp fuse ip6table_filter ip6_tables ebtable_nat ebtables ipt_MASQUERADE iptable_nat nf_nat nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack xt_CHECKSUM iptable_mangle tun bridge stp llc be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i libcxgbi cxgb3 mdio lockd ib_iser rdma_cm ib_cm iw_cm ib_sa ib_mad ib_core ib_addr iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi snd_hda_codec_realtek snd_hda_codec_hdmi snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm shpchp 8139too 8139cp ppdev microcode i2c_viapro snd_timer parport_pc parport uinput mii sunrpc snd soundcore snd_page_alloc raid0 ata_generic pata_acpi pata_via sata_via radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
:[109805.712150] Pid: 0, comm: swapper/1 Not tainted 3.3.1-3.fc16.x86_64 #1
:[109805.712153] Call Trace:
:[109805.712156]  <IRQ>  [<ffffffff8105798f>] warn_slowpath_common+0x7f/0xc0
:[109805.712171]  [<ffffffff81057a86>] warn_slowpath_fmt+0x46/0x50
:[109805.712178]  [<ffffffff81072630>] ? __queue_work+0xe0/0x3e0
:[109805.712184]  [<ffffffff81093811>] ? trigger_load_balance+0x61/0x2d0
:[109805.712192]  [<ffffffff81503b57>] dev_watchdog+0x257/0x260
:[109805.712199]  [<ffffffff81066fdc>] run_timer_softirq+0x12c/0x3b0
:[109805.712205]  [<ffffffff8101bc89>] ? sched_clock+0x9/0x10
:[109805.712210]  [<ffffffff81503900>] ? qdisc_reset+0x50/0x50
:[109805.712215]  [<ffffffff8105efb8>] __do_softirq+0xb8/0x230
:[109805.712220]  [<ffffffff8101b6f9>] ? read_tsc+0x9/0x20
:[109805.712225]  [<ffffffff8101bc89>] ? sched_clock+0x9/0x10
:[109805.712230]  [<ffffffff8108d945>] ? sched_clock_local+0x25/0x90
:[109805.712236]  [<ffffffff815fd49c>] call_softirq+0x1c/0x30
:[109805.712243]  [<ffffffff81016455>] do_softirq+0x65/0xa0
:[109805.712247]  [<ffffffff8105f3ce>] irq_exit+0x9e/0xc0
:[109805.712253]  [<ffffffff815fddee>] smp_apic_timer_interrupt+0x6e/0x99
:[109805.712259]  [<ffffffff815fca9e>] apic_timer_interrupt+0x6e/0x80
:[109805.712263]  <EOI>  [<ffffffff8101cea5>] ? mwait_idle+0x95/0x210
:[109805.712272]  [<ffffffff81013239>] cpu_idle+0xd9/0x120
:[109805.712278]  [<ffffffff815e3b1f>] start_secondary+0x282/0x284

smolt_data:
:
:
:General
:=================================
:UUID: 1fe66859-4b60-4cee-a65b-e4d87e23879e
:SO: Fedora release 16 (Verne)
:Nivel de ejecución por defecto: Unknown
:Idioma: es_ES.UTF-8
:Plataforma: x86_64
:BogoMIPS: 4399.74
:Fabricante de CPU: GenuineIntel
:Modelo de CPU: Intel(R) Core(TM)2 Duo CPU     E4500  @ 2.20GHz
:Paso del UCP: 13
:Familia de UCP: 6
:Número de Modelo de CPU: 15
:Número de CPUs: 2
:Velocidad del CPU: 2200
:Memoria del Sistema: 2002
:Intercambio (swap) del Sistema: 4029
:Vendedor: Foxconn
:Sistema: OEM 
:Factor de forma: Desktop
:Kernel: 3.3.1-3.fc16.x86_64
:SELinux Habilitado: 1
:Política de SELinux: targeted
:SELinux Obligado: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Dispositivos
:=================================
:(4358:13111:4358:13111) pci, None, PCI/ISA, VT8237A PCI to ISA Bridge
:(4358:12548:4358:12548) pci, ehci_hcd, USB, USB 2.0
:(4358:12344:4358:12344) pci, uhci_hcd, USB, VT82xxxxx UHCI USB 1.1 Controller
:(4358:12344:4358:12344) pci, uhci_hcd, USB, VT82xxxxx UHCI USB 1.1 Controller
:(4358:12344:4358:12344) pci, uhci_hcd, USB, VT82xxxxx UHCI USB 1.1 Controller
:(4358:10366:4358:13182) pci, None, HOST/PCI, VT8251 Ultra VLINK Controller
:(4358:9060:0:0) pci, None, HOST/PCI, CN896/VN896/P4M900 Host Bridge
:(4358:13156:0:0) pci, None, HOST/PCI, CN896/VN896/P4M900 Host Bridge
:(4358:868:4358:868) pci, agpgart-via, HOST/PCI, CN896/VN896/P4M900 Host Bridge
:(4358:4964:0:0) pci, None, HOST/PCI, CN896/VN896/P4M900 Host Bridge
:(4358:25444:0:0) pci, None, HOST/PCI, CN896/VN896/P4M900 Security Device
:(4358:29540:0:0) pci, None, HOST/PCI, CN896/VN896/P4M900 Host Bridge
:(4358:17252:0:0) pci, None, HOST/PCI, CN896/VN896/P4M900 Host Bridge
:(4358:45464:0:0) pci, None, PCI/PCI, VT8237/VX700 PCI Bridge
:(4098:38083:5963:58368) pci, radeon, VIDEO, Sapphire HD 2400 PRO video device
:(4098:43536:5963:43536) pci, snd_hda_intel, MULTIMEDIA, Sapphire HD 2400 PRO audio device
:(4358:21348:0:0) pci, None, BASE, CN896/VN896/P4M900 I/O APIC Interrupt Controller
:(4358:12936:4187:3207) pci, snd_hda_intel, MULTIMEDIA, VT1708/A [Azalia HDAC] (VIA High Definition Audio Controller)
:(4358:41828:4358:49955) pci, pcieport, PCI/PCI, CN896/VN896/P4M900 PCI to PCI Bridge Controller
:(4332:33081:4187:3207) pci, 8139too, ETHERNET, RTL-8139/8139C/8139C+
:(4358:50020:4358:49955) pci, pcieport, PCI/PCI, CN896/VN896/P4M900 PCI to PCI Bridge Controller
:(4358:12344:4358:12344) pci, uhci_hcd, USB, VT82xxxxx UHCI USB 1.1 Controller
:(4358:13179:0:0) pci, None, HOST/PCI, VT8237A Host Bridge
:(4358:13178:4358:13178) pci, None, PCI/PCI, VT8237A PCI to PCI Bridge
:(4358:21303:4187:3207) pci, sata_via, STORAGE, N/A
:(4358:1393:4187:3207) pci, pata_via, STORAGE, VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE
:
:
:Información relacionada con el sistema de archivos
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/md0 / ext4 4096 4096 13081307 11631303 10975969 3276800 3124437 3124437
:/dev/sda2 /boot ext4 1024 1024 508745 408519 382919 128016 127785 127785
:/dev/md2 /home ext4 4096 4096 85337485 50946758 46675091 21364736 21354508 21354508
:/dev/mapper/vg_backup-LogVolBackup WITHHELD ext4 4096 4096 9612322 9437602 8955913 2408448 2408437 2408437
:
Comment 1 Josh Boyer 2012-04-21 07:59:56 EDT
*** Bug 814913 has been marked as a duplicate of this bug. ***
Comment 2 Istvan Balogh 2012-05-16 18:14:44 EDT
The warning popped up immediately after I plugged in a USB hub device that worked just fine before on various other OS. I hope it's not a serious issue and this feedback would be helpful.

Package: kernel
OS Release: Fedora release 16 (Verne)
Comment 3 lucky0106 2012-08-11 13:06:34 EDT
This bug applies to me, too. I have a Presario 900 notebook. When I boot into kernel 3.4.4-5, everything seems to work fine. However, when I updated to kernel 3.5.0-2, I am unable to connect (via ethernet), and a dump much similar to the one posted above appears in dmesg (although, for some reason, abrt doesn't catch it).

Hopefully this can be fixed soon. I think not having an internet connection should be considered high priority, especially since a lot of people seem to be experiencing this issue...
Comment 4 Dave Jones 2012-10-23 11:26:04 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 5 Justin M. Forbes 2012-11-13 10:07:26 EST
With no response, we are closing this bug under the assumption that it is no longer an issue. If you still experience this bug, please feel free to reopen the bug report.
Comment 6 Josh Boyer 2012-12-11 11:34:38 EST
*** Bug 885674 has been marked as a duplicate of this bug. ***
Comment 7 Fedora End Of Life 2013-01-16 17:58:29 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Fedora End Of Life 2013-02-13 20:28:40 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.